# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.pipeline_api import PipelineApi  # noqa: E501
from swagger_client.rest import ApiException


class TestPipelineApi(unittest.TestCase):
    """PipelineApi unit test stubs"""

    def setUp(self):
        self.api = PipelineApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_add_pipeline_component_in_template(self):
        """Test case for add_pipeline_component_in_template

        add a node to a pipeline, the node is automaticaly added at the end pf the pipeline  # noqa: E501
        """
        pass

    def test_confirm_pipeline_template(self):
        """Test case for confirm_pipeline_template

        confirm pipeline template and save in kubeflow  # noqa: E501
        """
        pass

    def test_delete_pipeline(self):
        """Test case for delete_pipeline

        delete pipelines  # noqa: E501
        """
        pass

    def test_get_pipeline(self):
        """Test case for get_pipeline

        get pipeline  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
